Create Payout
curl --request POST \
--url https://api.paytring.com/api/v2/payout/create \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"pg": "<string>",
"method": "<string>",
"account_number": "<string>",
"beneficiary_id": "<string>",
"receipt_id": "<string>",
"amount": "<string>",
"pg_pool_id": "<string>",
"notes": {
"udf1": "<string>",
"udf2": "<string>",
"udf3": "<string>",
"udf4": "<string>",
"udf5": "<string>"
}
}
'import requests
url = "https://api.paytring.com/api/v2/payout/create"
payload = {
"pg": "<string>",
"method": "<string>",
"account_number": "<string>",
"beneficiary_id": "<string>",
"receipt_id": "<string>",
"amount": "<string>",
"pg_pool_id": "<string>",
"notes": {
"udf1": "<string>",
"udf2": "<string>",
"udf3": "<string>",
"udf4": "<string>",
"udf5": "<string>"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pg: '<string>',
method: '<string>',
account_number: '<string>',
beneficiary_id: '<string>',
receipt_id: '<string>',
amount: '<string>',
pg_pool_id: '<string>',
notes: {
udf1: '<string>',
udf2: '<string>',
udf3: '<string>',
udf4: '<string>',
udf5: '<string>'
}
})
};
fetch('https://api.paytring.com/api/v2/payout/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\": true,\n \"payment_status\": \"success\",\n \"message\": \"Amount transfered successfully\",\n \"transfer_id\": \"XXXXXXXXXXXXX\"\n}""{\n \"status\": false,\n \"error\": {\n \"message\": \"Hash not verified.\",\n \"code\": 158\n }\n}"Payout Management
Create Payout
Send money to accounts or via imps , rtgs or upi transfer
POST
/
api
/
v2
/
payout
/
create
Create Payout
This API is used to initiate a payout to accounts via IMPS, RTGS, or UPI transfer.
Request Body
{
"pg": "string", // Payment gateway (e.g., 'decentro')
"method": "string", // Transfer method (e.g., 'upi', 'imps')
"account_number": "string", // Account number to be debited
"beneficiary_id": "string", // Beneficiary ID
"pg_pool_id": "string", // Paytring pool ID
"receipt_id": "string", // Receipt ID
"amount": "string", // Amount to transfer
"notes": "object" // Additional notes
}
Responses
200 OK
{
"status": true,
"payment_status": "success",
"message": "Amount transferred successfully",
"transfer_id": "XXXXXXXXXXXXX"
}
400 Bad Request
{
"status": false,
"error": {
"message": "Hash not verified.",
"code": 158
}
}
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
eg. decentro
eg. upi or imps
account no of to be debited from
beneficiary id to be added
Amount will always be in paisa/cents.
Payment Gateway pool id
Show child attributes
Show child attributes
⌘I

